> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List course assignments 

> Get a list of all assignments inside a course product. Returns assignment ID and title for each.

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/list-assignments
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/list-assignments:
    post:
      tags:
        - Course
        - Product
      summary: 'List course assignments '
      description: >-
        Get a list of all assignments inside a course product. Returns
        assignment ID and title for each.


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          courseIdentifier:
                            anyOf:
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - product-id
                                  digitalProductId:
                                    type: string
                                    description: Digital product ID
                                required:
                                  - type
                                  - digitalProductId
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - course-slug
                                  courseSlug:
                                    type: string
                                    description: Course slug
                                required:
                                  - type
                                  - courseSlug
                        required:
                          - courseIdentifier
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                productId:
                                  type: string
                                  description: ID of the product
                                productTitle:
                                  type: string
                                  description: Title of the product
                                assignments:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      assignmentId:
                                        type: string
                                        description: ID of the assignment
                                      assignmentTitle:
                                        type: string
                                        description: Title of the assignment
                                    required:
                                      - assignmentId
                                      - assignmentTitle
                                  description: Array of assignments in the course
                              required:
                                - productId
                                - productTitle
                                - assignments
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````